Index: WAeUP_SRP/trunk/skins/waeup_student/getSimpleStudentStatistics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getSimpleStudentStatistics.py	(revision 2068)
+++ WAeUP_SRP/trunk/skins/waeup_student/getSimpleStudentStatistics.py	(revision 2070)
@@ -14,5 +14,5 @@
 
 import logging
-logger = logging.getLogger('Skins.getRetStudentStatistics')
+logger = logging.getLogger('Skins.getSimpleStudentStatistics')
 
 logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
@@ -30,5 +30,5 @@
                    'courses_validated',
                    )
-                   
+
 catC =      ('admitted',
                    'clearance_pin_entered',
@@ -36,12 +36,12 @@
                    'clearance_requested',
                    'cleared_and_validated',
-                   )                  
+                   )
 
 
 full_time =       ('ume_ft','de_ft','ug_ft','pg_ft')
-part_time =       (         'de_pt','ug_pt','pg_pt')       
+part_time =       (         'de_pt','ug_pt','pg_pt')
 diploma   =       ('dp_ft','dp_pt')
-            
-                   
+
+
 faculties = context.portal_catalog(portal_type="Faculty")
 
@@ -79,7 +79,11 @@
 
 res_Cdp = context.students_catalog(review_state = catC, mode = diploma)
-dict['total_Cdp'] = len(res_Cdp)    
+dict['total_Cdp'] = len(res_Cdp)
 
-   
+
+res_total = context.students_catalog()
+dict['total_in_catalog'] = len(res_total)
+dict['not_categorized'] = dict['total_in_catalog'] - dict['total_Aft'] - dict['total_Apt'] - dict['total_Adp'] - dict['total_Cft'] - dict['total_Cpt'] - dict['total_Cdp']
+
 l.append(dict)
 
@@ -91,5 +95,5 @@
     res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, mode = full_time)
     dict['total_Aft'] = len(res_Aft)
-    
+
     res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, mode = part_time)
     dict['total_Apt'] = len(res_Apt)
@@ -114,7 +118,7 @@
 
     res_Cdp = context.students_catalog(faculty = f.getId, review_state = catC, mode = diploma)
-    dict['total_Cdp'] = len(res_Cdp)    
-    
-    
+    dict['total_Cdp'] = len(res_Cdp)
+
+
     l.append(dict)
 
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 2068)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 2070)
@@ -18,4 +18,6 @@
       <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
       &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_simple_view">Basic Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
       <span tal:condition="is_so">
          <nobr><a href="view_logs">View Log Files</a>
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_simple_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_simple_view.pt	(revision 2068)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_simple_view.pt	(revision 2070)
@@ -15,4 +15,6 @@
       <nobr><a href="statistics_new_view">New Student Statistics</a>
       &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
       </strong>     
 
@@ -20,7 +22,6 @@
       <br />      
       <span tal:condition="not:isAnon">
-
-  
-      
+      Student records imported: <span tal:content="python: faculties[0]['total_in_catalog']" />
+      <br />  <br />  
         <table >  
 
@@ -94,14 +95,20 @@
         </table>
 
- 
-        
         <br />
-        <table>
+        <table   border=0>
 
-        <tr><td>Category A: </td> <td>students who have paid their school fee</td></tr>
-        <tr><td>Category B: </td> <td>students who registered their courses online</td></tr>
-        <tr><td>Category C: </td> <td>students who have neither paid their school fee or registered their courses online</td></tr>
+        <tr><td>Category A: </td> <td>students who paid their school fee</td></tr>
+        <tr><td>Category B: </td> <td>students who registered their courses online (A contains B)</td></tr>
+        <tr><td>Category C: </td> <td>students who who have not yet paid their school fee</td></tr>
+        <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
+        <tr><td colspan="2"><strong>Notice:</strong> Category C is not complete. 
+                <span tal:content="python: faculties[0]['not_categorized']" /> returning full-time students have not yet logged in and are thus not categorized. 
+             </td>
+        </tr>
           
         </table>
+        
+        
+        
       </span>
       </span>