Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2094)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2094)
@@ -0,0 +1,478 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="new_students" meta_type="CPS Layout">
+ <property name="layout_create_method">layout_enter_access_code</property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_application_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="course1" meta_type="String Widget">
+  <property name="title">Course</property>
+  <property name="fields">
+   <element value="course1"/>
+  </property>
+  <property name="label">Course 1</property>
+  <property name="label_edit">Course 1</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="course3" meta_type="String Widget">
+  <property name="title">Course 3</property>
+  <property name="fields">
+   <element value="course3"/>
+  </property>
+  <property name="label">Course 3</property>
+  <property name="label_edit">Course 3</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="course2" meta_type="String Widget">
+  <property name="title">Course 2</property>
+  <property name="fields">
+   <element value="course2"/>
+  </property>
+  <property name="label">Course 2</property>
+  <property name="label_edit">Course 2</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="date_of_birth" meta_type="Date Widget">
+  <property name="title">Date of Birth</property>
+  <property name="fields">
+   <element value="date_of_birth"/>
+  </property>
+  <property name="label">Date of Birth</property>
+  <property name="label_edit">Date of Birth</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes">
+  <element value="edit"/>
+ </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="department" meta_type="String Widget">
+  <property name="title">Department</property>
+  <property name="fields">
+   <element value="department"/>
+  </property>
+  <property name="label">Department</property>
+  <property name="label_edit">Department</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="email" meta_type="String Widget">
+  <property name="title">Email</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="label">Email</property>
+  <property name="label_edit">Email</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="entry_mode" meta_type="String Widget">
+  <property name="title">Entry Mode</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Entry Mode</property>
+  <property name="label_edit">Entry Mode</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="faculty" meta_type="String Widget">
+  <property name="title">Faculty</property>
+  <property name="fields">
+   <element value="faculty"/>
+  </property>
+  <property name="label">Faculty</property>
+  <property name="label_edit">Faculty</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="firstname" meta_type="String Widget">
+  <property name="title">Firstname</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="label">Firstname</property>
+  <property name="label_edit">Firstname</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="agregate" meta_type="Int Widget">
+  <property name="title">JAMB Agregate Score</property>
+  <property name="fields">
+   <element value="agregate"/>
+  </property>
+  <property name="label">JAMB Agregate Score</property>
+  <property name="label_edit">JAMB Agregate Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="eng_score" meta_type="Int Widget">
+  <property name="title">English Score</property>
+  <property name="fields">
+   <element value="eng_score"/>
+  </property>
+  <property name="label">English Score</property>
+  <property name="label_edit">English Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="subj1" meta_type="String Widget">
+  <property name="title">Subject 1</property>
+  <property name="fields">
+   <element value="subj1"/>
+  </property>
+  <property name="label">Subject 1</property>
+  <property name="label_edit">Subject 1</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="subj1score" meta_type="Int Widget">
+  <property name="title">Subject 1 Score</property>
+  <property name="fields">
+   <element value="subj1score"/>
+  </property>
+  <property name="label">Subject 1 Score</property>
+  <property name="label_edit">Subject 1 Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="subj2" meta_type="String Widget">
+  <property name="title">Subject 2</property>
+  <property name="fields">
+   <element value="subj2"/>
+  </property>
+  <property name="label">Subject 2</property>
+  <property name="label_edit">Subject 2</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="subj2score" meta_type="Int Widget">
+  <property name="title">Subject 2 Score</property>
+  <property name="fields">
+   <element value="subj2score"/>
+  </property>
+  <property name="label">Subject 2 Score</property>
+  <property name="label_edit">Subject 2 Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="subj3" meta_type="String Widget">
+  <property name="title">Subject 3</property>
+  <property name="fields">
+   <element value="subj3"/>
+  </property>
+  <property name="label">Subject 3</property>
+  <property name="label_edit">Subject 3</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="subj3score" meta_type="Int Widget">
+  <property name="title">Subject 3 Score</property>
+  <property name="fields">
+   <element value="subj3score"/>
+  </property>
+  <property name="label">Subject 3 Score</property>
+  <property name="label_edit">Subject 3 Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Lastname</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="label">Lastname</property>
+  <property name="label_edit">Lastname</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="lga" meta_type="WAeUP LGA Widget">
+  <property name="title">LGA</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">LGA</property>
+  <property name="label_edit">LGA</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="middlenames" meta_type="String Widget">
+  <property name="title">Middlenames</property>
+  <property name="fields">
+   <element value="middlenames"/>
+  </property>
+  <property name="label">Middlenames</property>
+  <property name="label_edit">Middlenames</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="phone" meta_type="String Widget">
+  <property name="title">Phone</property>
+  <property name="fields">
+   <element value="phone"/>
+  </property>
+  <property name="label">Phone</property>
+  <property name="label_edit">Phone</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pin" meta_type="Pume Pin Widget">
+  <property name="title">PIN</property>
+  <property name="fields">
+   <element value="pin"/>
+  </property>
+  <property name="label">PIN</property>
+  <property name="label_edit">PIN</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes">
+  <element value="edit"/>
+ </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="prefix">APP</property>
+  <property name="reference">reg_no</property>
+ </widget>
+ <widget name="registration_date" meta_type="Date Widget">
+  <property name="title">Registration Date</property>
+  <property name="fields">
+   <element value="registration_date"/>
+  </property>
+  <property name="label">Registration Date</property>
+  <property name="label_edit">Registration Date</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="test_date" meta_type="Date Widget">
+  <property name="title">Test Date</property>
+  <property name="fields">
+   <element value="test_date"/>
+  </property>
+  <property name="label">Test Date</property>
+  <property name="label_edit">Test Date</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="reg_no" meta_type="JambRegNo Widget">
+  <property name="title">JAMB Registration Number</property>
+  <property name="fields">
+   <element value="reg_no"/>
+  </property>
+  <property name="label">JAMB Registration Number</property>
+  <property name="label_edit">JAMB Registration Number</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">13</property>
+  <property name="size_max">13</property>
+  <property name="reference">reg_no</property>
+  <property name="catalog">applicants_catalog</property>
+ </widget>
+ <widget name="score" meta_type="Int Widget">
+  <property name="title">Score</property>
+  <property name="fields">
+   <element value="score"/>
+  </property>
+  <property name="label">Score</property>
+  <property name="label_edit">Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="sex" meta_type="WAeUP Sex Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Score</property>
+  <property name="label_edit">Score</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="state" meta_type="WAeUP LGA Widget">
+  <property name="title">State</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">State</property>
+  <property name="label_edit">State</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="status" meta_type="String Widget">
+  <property name="title">Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Status</property>
+  <property name="label_edit">Status</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="verdict" meta_type="WAeUP Verdict Widget">
+  <property name="title">Verdict</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Verdict</property>
+  <property name="label_edit">Verdict</property>
+  <property name="description"></property>
+  <property name="help"></property>
+  <property name="is_i18n">False</property>
+  <property name="widget_mode_expr"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="reg_no"/>
+  </row>
+  <row>
+   <cell name="pin"/>
+  </row>
+ </table>
+</object>