Index: /WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTables.py	(revision 2098)
+++ /WAeUP_SRP/trunk/WAeUPTables.py	(revision 2099)
@@ -58,10 +58,10 @@
     security = ClassSecurityInfo()
     meta_type = None
-    
+
     def __init__(self,name=None):
         if name ==  None:
             name = self.name
         ZCatalog.__init__(self,name)
-        
+
     def refreshCatalog(self, clear=0, pghandler=None): ###(
         """ don't refresh for a normal table """
@@ -391,5 +391,5 @@
     key = "reg_no"
     security = ClassSecurityInfo()
-    
+
     def __init__(self,name=None):
         if name ==  None:
@@ -415,5 +415,5 @@
             logger.error(em)
             return
-        logger = logging.getLogger('WAeUPTables.Applicants.importCSV')
+        logger = logging.getLogger('WAeUPTables.ApplicantsCatalog.importCSV')
         d = self._import(filename,schema,layout,mode,logger)
         if len(d['valid_records']) > 0:
@@ -557,5 +557,5 @@
         return certificate_res[0].getPath().split('/')[-4]
 
-    def get_from_doc_end_level(self,doc,cached_data={}): 
+    def get_from_doc_end_level(self,doc,cached_data={}):
         "return the students end_level"
         if doc is None:
@@ -1004,8 +1004,8 @@
         WAeUPTable.__init__(self, name)
         self._queue = []
-        
+
     def addRecord(self, **data): ###(
         """add one record"""
-        
+
         uid = key = "%(student_id)s|%(level_id)s|%(course_id)s" % data
         if key in self._queue:
@@ -1023,9 +1023,9 @@
         return uid
     ###)
-    
+
     # def _p_resolveConflict(self, oldstate, committed, newstate):
     #     # Apply the changes made in going from old to newstate to
     #     # committed
-        
+
     #     # Note that in the case of undo, the olddata is the data for
     #     # the transaction being undone and newdata is the data for the
@@ -1077,5 +1077,5 @@
 
     def updateCourseResults(self,student_id,level_id,portal_catalog_results,course_results): ###(
-        # query = Eq('path',"%s/campus/students/%s/study_course/%s" % 
+        # query = Eq('path',"%s/campus/students/%s/study_course/%s" %
         #            (self.portal_url.getPortalPath(),
         #             student_id,
@@ -1083,5 +1083,5 @@
         #             Eq('portal_type', "StudentCourseResult")
         # level_results = self.portal_catalog_real.evalAdvancedQuery(query)
-        # level_results = [r for r in course_results 
+        # level_results = [r for r in course_results
         #                  if level_id in r.relative_path.split('/')]
         course_results_ids = [cr.getId for cr in course_results]
@@ -1095,8 +1095,8 @@
                 data[field] = getattr(course_result_doc,field,'')
             data['key'] = key = "%(student_id)s|%(level_id)s|%(course_id)s" % vars()
-            data['student_id'] = student_id 
-            data['level_id'] = level_id 
+            data['student_id'] = student_id
+            data['level_id'] = level_id
             data['queue_status'] = OBJECT_CREATED
-            data['code'] = course_id 
+            data['code'] = course_id
             self.catalog_object(dict2ob(data), uid=key)
         query = Eq('student_id',student_id) & Eq('level_id', level_id)
@@ -1122,8 +1122,8 @@
         carry_overs = []
         normal = []
-        credits = 0 
+        credits = 0
         for brain in course_results:
             d = {}
-            credits += int(brain.credits) 
+            credits += int(brain.credits)
             for field in self.schema():
                 d[field] = getattr(brain,field,'')
@@ -1161,5 +1161,5 @@
         course_result.getContent().edit(mapping=d)
     ###)
-        
+
     security.declareProtected(ModifyPortalContent,"process_queue") ###(
     def process_queue(self,limit=None):
@@ -1237,5 +1237,5 @@
         #import pdb;pdb.set_trace()
         for i in xrange(num_objects):
-            if pghandler: 
+            if pghandler:
                 pghandler.report(i)
             course_result_brain = course_results[i]
@@ -1249,6 +1249,6 @@
                 data[field] = getattr(course_result_doc,field,'')
             data['key'] = key = "%(student_id)s|%(level_id)s|%(course_id)s" % vars()
-            data['student_id'] = student_id 
-            data['level_id'] = level_id 
+            data['student_id'] = student_id
+            data['level_id'] = level_id
             data['queue_status'] = OBJECT_CREATED
             self.catalog_object(dict2ob(data), uid=key)
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 2098)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 2099)
@@ -19,5 +19,5 @@
 from Products.WAeUP_SRP.Students import getStudentByRegNo
 from Products.WAeUP_SRP.Academics import makeCertificateCode
-from Products.ExtFile.ExtFile import ExtFile
+#from Products.ExtFile.ExtFile import ExtFile
 from re import compile
 import logging
@@ -253,5 +253,5 @@
     """WAeUP Session Widget."""
     meta_type = 'WAeUP Session Widget'
-    
+
     def _getSessions(self):
         current_year = DateTime().year()
@@ -527,5 +527,5 @@
                 if datastructure[self.state_field]:
                     v = datastructure[self.state_field] + '_' + v
-        
+
         if self.is_required and not len(v):
             datastructure.setError(widget_id, "lga required")
@@ -538,5 +538,5 @@
             state = datastructure[self.state_field].lower()
             lga = "_".join(datastructure[self.lga_field].lower().split())
-            datamodel[self.fields[0]] =   state + "_" + lga 
+            datamodel[self.fields[0]] =   state + "_" + lga
         return 1
 
@@ -711,5 +711,5 @@
         else:
             mode = "edit"
-        if not valid: 
+        if not valid:
             err = 'Invalid number'
         elif self.reference == '':
@@ -1321,5 +1321,5 @@
     meta_type = "Pume Pin Widget"
     catalog = "applicants_catalog"
-    
+
     def validate(self, datastructure, **kw): ###(
         """Validate datastructure and update datamodel."""
@@ -1329,5 +1329,5 @@
         err = 0
         mapping = {}
-        
+
         prefix= self.prefix
         if prefix.startswith('@'):
@@ -1389,5 +1389,5 @@
                 else:
                     applicant = datastructure['record']
-                    if not applicant.pin: 
+                    if not applicant.pin:
                         s_logger.info('%s successfully used PIN %s' % (ref,pin_str))
                         d = {}
Index: /WAeUP_SRP/trunk/configure.zcml
===================================================================
--- /WAeUP_SRP/trunk/configure.zcml	(revision 2098)
+++ /WAeUP_SRP/trunk/configure.zcml	(revision 2099)
@@ -6,5 +6,5 @@
 
   <include file="upgrade.zcml"/>
-  
+
   <adapter
       factory=".exportimport.WAeUPTableXMLAdapter"
@@ -14,10 +14,5 @@
       />
 
-  <five:registerClass
-      class=".TableDirectory.NewStudentsDirectory"
-      meta_type="New Students Directory"
-      permission="cmf.ManagePortal"
-      global="False"
-      />
+
 
 </configure>
Index: /WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 2098)
+++ /WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 2099)
@@ -27,5 +27,5 @@
  <column value="course2"/>
  <column value="course3"/>
- <column value="testdate"/>
+ <column value="screening_date"/>
  <column value="passport"/>
  <column value="status"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2098)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2099)
@@ -156,11 +156,11 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="agregate" meta_type="Int Widget">
-    <property name="title">JAMB Agregate Score</property>
-    <property name="fields">
-      <element value="agregate"/>
-    </property>
-    <property name="label">JAMB Agregate Score</property>
-    <property name="label_edit">JAMB Agregate Score</property>
+  <widget name="aggregate" meta_type="Int Widget">
+    <property name="title">JAMB Aggregate Score</property>
+    <property name="fields">
+      <element value="aggregate"/>
+    </property>
+    <property name="label">JAMB Aggregate Score</property>
+    <property name="label_edit">JAMB Aggregate Score</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -444,11 +444,11 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="testdate" meta_type="DateTime Widget">
-    <property name="title">Test Date</property>
-    <property name="fields">
-      <element value="testdate"/>
-    </property>
-    <property name="label">Test Date</property>
-    <property name="label_edit">Test Date</property>
+  <widget name="screening_date" meta_type="DateTime Widget">
+    <property name="title">Screening Date</property>
+    <property name="fields">
+      <element value="screening_date"/>
+    </property>
+    <property name="label">Screening Date</property>
+    <property name="label_edit">Screening Date</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -593,5 +593,5 @@
   </row>
   <row>
-   <cell name="agregate" ncols="2"/>
+   <cell name="aggregate" ncols="2"/>
   </row>
  </table>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2098)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2099)
@@ -16,5 +16,5 @@
  <field name="subj3" meta_type="CPS Int Field"/>
  <field name="subj3score" meta_type="CPS Int Field"/>
- <field name="agregate" meta_type="CPS Int Field"/>
+ <field name="aggregate" meta_type="CPS Int Field"/>
  <field name="lastname" meta_type="CPS String Field"/>
  <field name="middlenames" meta_type="CPS String Field"/>
@@ -28,5 +28,5 @@
  <field name="sex" meta_type="CPS Boolean Field"/>
  <field name="lga" meta_type="CPS String Field"/>
- <field name="testdate" meta_type="CPS DateTime Field"/>
+ <field name="screening_date" meta_type="CPS DateTime Field"/>
  <field name="passport" meta_type="CPS String Field"/>
  <field name="status" meta_type="CPS String Field"/>