Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 2099)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 2100)
@@ -693,5 +693,5 @@
          'label': 'Reference Field'},
          )
-    catalog = "portal_pumeresults" #the catalog to search for jamb_reg_no
+    #catalog = "portal_pumeresults" #the catalog to search for jamb_reg_no
     reference = ""
     digits = 8
@@ -702,5 +702,5 @@
         """Validate datastructure and update datamodel."""
         valid = CPSStringWidget.validate(self, datastructure, **kw)
-        jamb_nr_catalog = getattr(self,self.catalog)
+        reg_no_catalog = getattr(self,self.catalog)
         widget_id = self.getWidgetId()
         value = datastructure[widget_id].upper()
@@ -712,10 +712,10 @@
             mode = "edit"
         if not valid:
-            err = 'Invalid number'
+            err = 'Invalid registration number'
         elif self.reference == '':
             #s = getStudentByRegNo(self,value)
-            pume = jamb_nr_catalog(jamb_reg_no = value)
+            pume = reg_no_catalog(jamb_reg_no = value)
             if len(pume) < 1:
-                err = 'No student record with this registration number.'
+                err = 'No student record with this registration number'
             else:
                 datastructure['pume'] = pume[0]
@@ -723,7 +723,7 @@
             pass
         elif self.reference != '' and self.catalog == "applicants_catalog":
-            res = jamb_nr_catalog.searchResults({"%s" % self.reference: value})
+            res = reg_no_catalog.searchResults({"%s" % self.reference: value})
             if len(res) != 1:
-                err = 'No record with this registration number.'
+                err = 'No record with this registration number'
             else:
                 datastructure['record'] = res[0]
Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2099)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2100)
@@ -181,6 +181,6 @@
       <element value="eng_score"/>
     </property>
-    <property name="label">English: </property>
-    <property name="label_edit">English:</property>
+    <property name="label">English</property>
+    <property name="label_edit">English</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -222,6 +222,6 @@
       <element value="subj1score"/>
     </property>
-    <property name="label"> : </property>
-    <property name="label_edit"> : </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
     <property name="description"></property>
     <property name="help"></property>
@@ -263,6 +263,6 @@
       <element value="subj2score"/>
     </property>
-    <property name="label"> : </property>
-    <property name="label_edit"> : </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
     <property name="description"></property>
     <property name="help"></property>
@@ -304,6 +304,6 @@
       <element value="subj3score"/>
     </property>
-    <property name="label"> : </property>
-    <property name="label_edit"> : </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/jamb_subjects.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/jamb_subjects.xml	(revision 2099)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/jamb_subjects.xml	(revision 2100)
@@ -15,6 +15,6 @@
   <item key="ECO" msgid="">Economics</item>
   <item key="FRE" msgid="">French</item>
-  <item key="GEO" msgid="">Geographie</item>
-  <item key="GOV" msgid="">Goverment</item>
+  <item key="GEO" msgid="">Geography</item>
+  <item key="GOV" msgid="">Government</item>
   <item key="HIS" msgid="">History</item>
   <item key="IRK" msgid="">Islamic Rel. Knowledge</item>
@@ -23,5 +23,5 @@
   <item key="H/E" msgid="">Home Economics</item>
   <item key="LIT" msgid="">Literature In English</item>
-  <item key="MUS" msgid="">Musik</item>
+  <item key="MUS" msgid="">Music</item>
   <item key="PHY" msgid="">Physics</item>
   <item key="YOR" msgid="">Yoruba Language</item>
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2099)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2100)
@@ -9,5 +9,5 @@
     <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="main">
-        <h3>Apppply for the Post University Matriculation Examination! </h3>
+        <h3>Apply for the Post University Matriculation Examination! </h3>
         <br />
         <form action="" id="editForm" method="post" 
@@ -24,13 +24,13 @@
                  value="" 
             />
-            I confirm that Passport Photograph uploaded on this form is a true picture of me
+            I confirm that the Passport Photograph uploaded on this form is a true picture of me.
           </div>
           
           <input type="submit" class="standalone" 
                  name="edit"
-                 value="Edit" 
+                 value="Save" 
                  tal:condition="python: mode == 'edit'" />
           <input type="submit" class="standalone" name="apply"
-                 value="apply for Pume"
+                 value="Save & Apply for PUME"
                  tal:condition="python: mode == 'edit'"
                  />
@@ -46,5 +46,5 @@
             <li>Enter your JAMB Registration Number and the Application PIN above.</li> 
             <li>Upload your passport picture.</li> 
-            <li>Apply for Pume.</li>
+            <li>Apply for PUME.</li>
           </ul>
           <ul tal:condition="python: mode == 'view'">
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_edit.pt	(revision 2099)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_edit.pt	(revision 2100)
@@ -7,9 +7,9 @@
   proceed options/proceed|nothing;
   ">
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout"
+<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout" border=1
        tal:condition="layout/rows">
   <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
+
+<span tal:repeat="cell row"> 
       <tal:block define="widget cell/widget;
                          wid widget/getWidgetId;
@@ -20,32 +20,17 @@
                          widget_css_class cell/widget_css_class|nothing;
                          css_class python:test(err, 'row error','row')">
-        <div tal:attributes="class widget_css_class;
+        <span tal:attributes="class widget_css_class;
                              id python:widget.getHtmlWidgetId()+'_widget';
                             ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
+                            
+          <td tal:condition="widget/label_edit">               
+          <div tal:attributes="class python:test(is_required, 'label required','label')">
+            <label tal:content="widget/label_edit"
               tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
           </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
+          </td>
+          <td>
+          <label tal:replace="structure cell/widget_rendered"/> 
+          </td>
           <tal:block condition="err">
               <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
@@ -54,8 +39,10 @@
               </tal:block>
           </tal:block>
-        </div>
+        </span>
       </tal:block>
-    </td>
+</span>      
+    
   </tr>
 </table>
-                                </metal:block>
+                                
+</metal:block>