Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2100)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2101)
@@ -202,5 +202,5 @@
     </property>
     <property name="label"></property>
-    <property name="label_edit"></property>
+    <property name="label_edit">label field</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -243,5 +243,5 @@
     </property>
     <property name="label"></property>
-    <property name="label_edit"></property>
+    <property name="label_edit">label field</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -284,5 +284,5 @@
     </property>
     <property name="label"></property>
-    <property name="label_edit"></property>
+    <property name="label_edit">label field</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -545,20 +545,64 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="verdict" meta_type="WAeUP Verdict Widget">
-    <property name="title">Verdict</property>
-    <property name="fields">
-      <element value="status"/>
-    </property>
-    <property name="label">Verdict</property>
-    <property name="label_edit">Verdict</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+  <widget name="course1" meta_type="String Widget">
+    <property name="title">1st Choice Course of Study</property>
+    <property name="fields">
+      <element value="course1"/>
+    </property>
+    <property name="label">1st Choice Course of Study</property>
+    <property name="label_edit">1st Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>  
+  <widget name="course2" meta_type="String Widget">
+    <property name="title">2nd Choice Course of Study</property>
+    <property name="fields">
+      <element value="course2"/>
+    </property>
+    <property name="label">2nd Choice Course of Study</property>
+    <property name="label_edit">2nd Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>  
+  <widget name="course3" meta_type="String Widget">
+    <property name="title">3rd Choice Course of Study</property>
+    <property name="fields">
+      <element value="course3"/>
+    </property>
+    <property name="label">3rd Choice Course of Study</property>
+    <property name="label_edit">3rd Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>    
+
  <table>
   <row>
@@ -595,4 +639,13 @@
    <cell name="aggregate" ncols="2"/>
   </row>
+  <row>
+   <cell name="course1" ncols="2"/>
+  </row>
+  <row>
+   <cell name="course2" ncols="2"/>
+  </row>    
+  <row>
+   <cell name="course3" ncols="2"/>
+  </row>  
  </table>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2100)
+++ WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2101)
@@ -31,4 +31,3 @@
  <field name="passport" meta_type="CPS String Field"/>
  <field name="status" meta_type="CPS String Field"/>
- <field name="verdict" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2100)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2101)
@@ -19,18 +19,21 @@
                  tal:condition="ds/reg_no|nothing"/>
           <div tal:replace="structure rendered_main" />
-          <div class="" tal:condition="python: mode=='edit'">
-          <input type="checkbox" class="standalone" 
-                 name="confirm"
-                 value="" 
-            />
-            I confirm that the Passport Photograph uploaded on this form is a true picture of me.
-          </div>
+          
+          <metal:block tal:condition="python: mode=='edit'">
+            <br/>
+            <input type="checkbox" class="standalone" 
+                   name="confirm"
+                   value="" />
+              I confirm that the Passport Photograph uploaded on this form is a true picture of me.
+            <br/><br/>
+          </metal:block>
+
           
           <input type="submit" class="standalone" 
                  name="edit"
-                 value="Save" 
+                 value="Save & Return Later" 
                  tal:condition="python: mode == 'edit'" />
           <input type="submit" class="standalone" name="apply"
-                 value="Save & Apply for PUME"
+                 value="Save & Apply"
                  tal:condition="python: mode == 'edit'"
                  />
@@ -42,15 +45,12 @@
                  />
           </form>
+          <metal:block tal:condition="python: mode in ('create','edit')">
           <p>Instructions :</p>
-          <ul tal:condition="python: mode in ('create','edit')">
+          <ul>
             <li>Enter your JAMB Registration Number and the Application PIN above.</li> 
             <li>Upload your passport picture.</li> 
             <li>Apply for PUME.</li>
           </ul>
-          <ul tal:condition="python: mode == 'view'">
-            <li>Print the Pume Acknowledgement Slip.</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
+          </metal:block>
       </metal:block>
     </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_create.pt	(revision 2100)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_create.pt	(revision 2101)
@@ -4,5 +4,5 @@
 <!-- $Id$ -->
 
-<metal:block define-macro="default_edit"
+<metal:block define-macro="default_table"
   tal:define="layout options/layout;
   ds options/datastructure;
@@ -11,103 +11,48 @@
   metadata metadata|nothing;
   cpsmcat nocall:here/translation_service;
-  apply request/apply_button|nothing;
-  ">
-  <table class="layoutDefault" summary="Form layout"
-         tal:condition="layout/rows">
-    <span tal:repeat="row python: layout['rows']" valign="top" >
-      <span tal:repeat="cell row">
-        <tr tal:define="widget cell/widget;
-              wid widget/getWidgetId;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              css_class python:test(err, 'row error','row')"
-              tal:condition="python: wid != 'passport'"
-              >
-          <div tal:attributes="class widget_css_class;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
+  apply request/apply_button|nothing;">
+  
+  <table  cellpadding="2" cellspacing="2" summary="Form layout" border=0
+       tal:condition="layout/rows">
+  <tr tal:repeat="row layout/rows" valign="top">
+
+  <span tal:repeat="cell row"> 
+        <tal:block define="widget cell/widget;
+                           wid widget/getWidgetId;
+                           err python:ds.getError(wid);
+                           err_mapping python:ds.getErrorMapping(wid);
+                           is_required widget/is_required|nothing;
+                           tooltip_id python:wid + '_help';
+                           widget_css_class cell/widget_css_class|nothing;
+                           css_class python:test(err, 'row error','row')">
+          <span tal:attributes="class widget_css_class;
+                               id python:widget.getHtmlWidgetId()+'_widget';
+                              ">
+                              
+                    
+            <td tal:condition="python:widget.label_edit and widget.label_edit!='label field'">               
+              <div tal:attributes="class python:test(is_required, 'label required','label')">
+                <label tal:content="widget/label_edit"
+                  tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+              </div>
+            </td>
+            
             <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+              <div tal:attributes="class python:test(widget.label_edit == 'label field', 'label','')">          
+              <label tal:replace="structure cell/widget_rendered"/> 
+              </div>          
+              <tal:block condition="err">
+                  <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                    <br /><em style="color: red"
+                      tal:content="msg">err</em>
+                  </tal:block>
+              </tal:block>
             </td>
-            <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-            </td>
-          </div>
-        </tr>
-      </span>
-    </span>
-    <tr tal:condition="widgets/passport|nothing" 
-        tal:define="cell widgets/passport|nothing;">
-      <tal:block tal:define="widget cell/widget;
-      wid widget/getWidgetId;
-      err python:ds.getError(wid);
-      err_mapping python:ds.getErrorMapping(wid);
-      is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-      tooltip_id python:wid + '_help';
-      widget_css_class widget/widget_css_class|nothing;
-      css_class python:test(err, 'row error','row')"
-      >
-        <div tal:attributes="class widget_css_class;
-        id python:widget.getHtmlWidgetId()+'_widget';"
-        >
-          <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          </td>
-          <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-          </td>
-        </div>
-      </tal:block>
-    </tr>
+  
+          </span>
+        </tal:block>
+  </span>      
+  </tr>
   </table>
-  <br />
+  <br/>
 </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_edit.pt	(revision 2100)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_edit.pt	(revision 2101)
@@ -1,48 +1,1 @@
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-  ds options/datastructure;
-  dm ds/getDataModel;
-  creation creation|nothing;
-  cpsmcat nocall:here/translation_service;
-  proceed options/proceed|nothing;
-  ">
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout" border=1
-       tal:condition="layout/rows">
-  <tr tal:repeat="row layout/rows" valign="top">
-
-<span tal:repeat="cell row"> 
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         css_class python:test(err, 'row error','row')">
-        <span tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-                            
-          <td tal:condition="widget/label_edit">               
-          <div tal:attributes="class python:test(is_required, 'label required','label')">
-            <label tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          </td>
-          <td>
-          <label tal:replace="structure cell/widget_rendered"/> 
-          </td>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-        </span>
-      </tal:block>
-</span>      
-    
-  </tr>
-</table>
-                                
-</metal:block>
+<metal:block use-macro="here/layout_apply_pume_create/macros/default_table" />
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view.pt	(revision 2100)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view.pt	(revision 2101)
@@ -1,103 +1,3 @@
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-  ds options/datastructure;
-  cpsmcat nocall:here/translation_service;
-  ">
-  <table class="layoutDefault" summary="Form layout"
-         tal:condition="layout/rows">
-    <span tal:repeat="row python: layout['rows']" valign="top" >
-      <span tal:repeat="cell row">
-        <tr tal:define="widget cell/widget;
-              wid widget/getWidgetId;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required python: widget.is_required;
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              css_class python:test(err, 'row error','row')"
-              tal:condition="python: wid != 'passport'"
-              >
-          <div tal:attributes="class widget_css_class;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
-            <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-            </td>
-            <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-            </td>
-          </div>
-        </tr>
-      </span>
-    </span>
-    <tr tal:condition="widgets/passport|nothing" 
-        tal:define="cell widgets/passport|nothing;">
-      <tal:block tal:define="widget cell/widget;
-      wid widget/getWidgetId;
-      err python:ds.getError(wid);
-      err_mapping python:ds.getErrorMapping(wid);
-      is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-      tooltip_id python:wid + '_help';
-      widget_css_class widget/widget_css_class|nothing;
-      css_class python:test(err, 'row error','row')"
-      >
-        <div tal:attributes="class widget_css_class;
-        id python:widget.getHtmlWidgetId()+'_widget';"
-        >
-          <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          </td>
-          <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-          </td>
-        </div>
-      </tal:block>
-    </tr>
-  </table>
-</metal:block>
+<metal:block use-macro="here/layout_apply_pume_create/macros/default_table" />
+
+here Application Slip Button
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view_slip.pt	(revision 2101)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view_slip.pt	(revision 2101)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/layout_apply_pume_create/macros/default_table" />