Index: /WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 2104)
+++ /WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 2105)
@@ -3,5 +3,5 @@
 <object name="portal_pumeresults" meta_type="WAeUP Table">
  <column value="reg_no"/>
- <column value="registration_date"/>
+ <column value="application_date"/>
  <column value="date_of_birth"/>
  <column value="sex"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2104)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2105)
@@ -8,52 +8,5 @@
   <property name="flexible_widgets"/>
   <property name="validate_values_expr"></property>
-  <widget name="course1" meta_type="String Widget">
-    <property name="title">Course</property>
-    <property name="fields">
-      <element value="course1"/>
-    </property>
-    <property name="label">Course 1</property>
-    <property name="label_edit">Course 1</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="course3" meta_type="String Widget">
-    <property name="title">Course 3</property>
-    <property name="fields">
-      <element value="course3"/>
-    </property>
-    <property name="label">Course 3</property>
-    <property name="label_edit">Course 3</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="course2" meta_type="String Widget">
-    <property name="title">Course 2</property>
-    <property name="fields">
-      <element value="course2"/>
-    </property>
-    <property name="label">Course 2</property>
-    <property name="label_edit">Course 2</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+
   <widget name="date_of_birth" meta_type="DateTime Widget">
     <property name="title">Date of Birth</property>
@@ -157,10 +110,10 @@
   </widget>
   <widget name="aggregate" meta_type="Int Widget">
-    <property name="title">JAMB Aggregate Score</property>
+    <property name="title">Total Score</property>
     <property name="fields">
       <element value="aggregate"/>
     </property>
-    <property name="label">JAMB Aggregate Score</property>
-    <property name="label_edit">JAMB Aggregate Score</property>
+    <property name="label">Total Score</property>
+    <property name="label_edit">Total Score</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -181,6 +134,6 @@
       <element value="eng_score"/>
     </property>
-    <property name="label">English</property>
-    <property name="label_edit">English</property>
+    <property name="label">'English' Score</property>
+    <property name="label_edit">'English' Score</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -426,19 +379,21 @@
     <property name="reference">reg_no</property>
   </widget>
-  <widget name="registration_date" meta_type="DateTime Widget">
-    <property name="title">Registration Date</property>
-    <property name="fields">
-      <element value="registration_date"/>
-    </property>
-    <property name="label">Registration Date</property>
-    <property name="label_edit">Registration Date</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes"/>
+  <widget name="application_date" meta_type="DateTime Widget">
+    <property name="title">Application Date</property>
+    <property name="fields">
+      <element value="application_date"/>
+    </property>
+    <property name="label">Application Date</property>
+    <property name="label_edit">Application Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -455,6 +410,10 @@
     <property name="is_i18n">False</property>
     <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -502,6 +461,6 @@
       <element value="sex"/>
     </property>
-    <property name="label">Score</property>
-    <property name="label_edit">Score</property>
+    <property name="label">Sex</property>
+    <property name="label_edit">Sex</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -530,16 +489,20 @@
   </widget>
   <widget name="status" meta_type="String Widget">
-    <property name="title">Status</property>
+    <property name="title">Application Status</property>
     <property name="fields">
       <element value="status"/>
     </property>
-    <property name="label">Status</property>
-    <property name="label_edit">Status</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
+    <property name="label">Application Status</property>
+    <property name="label_edit">Application Status</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -564,5 +527,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget>  
+  </widget>
   <widget name="course2" meta_type="String Widget">
     <property name="title">2nd Choice Course of Study</property>
@@ -584,5 +547,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget>  
+  </widget>
   <widget name="course3" meta_type="String Widget">
     <property name="title">3rd Choice Course of Study</property>
@@ -603,5 +566,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget>    
+  </widget>
 
  <table>
@@ -644,7 +607,16 @@
   <row>
    <cell name="course2" ncols="2"/>
-  </row>    
+  </row>
   <row>
    <cell name="course3" ncols="2"/>
+  </row>
+  <row>
+   <cell name="status" ncols="2"/>
+  </row> 
+  <row>
+   <cell name="registration_date" ncols="2"/>
+  </row> 
+  <row>
+   <cell name="screening_date" ncols="2"/>
   </row>  
  </table>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2104)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2105)
@@ -24,5 +24,5 @@
  <field name="reg_no" meta_type="CPS String Field"/>
  <field name="date_of_birth" meta_type="CPS DateTime Field"/>
- <field name="registration_date" meta_type="CPS DateTime Field"/>
+ <field name="application_date" meta_type="CPS DateTime Field"/>
  <field name="score" meta_type="CPS Int Field"/>
  <field name="sex" meta_type="CPS Boolean Field"/>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/jamb_subjects.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/jamb_subjects.xml	(revision 2104)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/jamb_subjects.xml	(revision 2105)
@@ -7,23 +7,23 @@
 
   <item key="" msgid="">None</item>
-  <item key="AGR" msgid="">Agriculture</item>
-  <item key="ART" msgid="">Fine Arts</item>
-  <item key="BIO" msgid="">Biology</item>
-  <item key="CHE" msgid="">Chemistry</item>
-  <item key="COM" msgid="">Commerce</item>
-  <item key="CRK" msgid="">Christian Rel. Knowledge</item>
-  <item key="ECO" msgid="">Economics</item>
-  <item key="FRE" msgid="">French</item>
-  <item key="GEO" msgid="">Geography</item>
-  <item key="GOV" msgid="">Government</item>
-  <item key="HIS" msgid="">History</item>
-  <item key="IRK" msgid="">Islamic Rel. Knowledge</item>
-  <item key="MAT" msgid="">Mathematics</item>
-  <item key="IGB" msgid="">Igbo Language</item>
-  <item key="H/E" msgid="">Home Economics</item>
-  <item key="LIT" msgid="">Literature In English</item>
-  <item key="MUS" msgid="">Music</item>
-  <item key="PHY" msgid="">Physics</item>
-  <item key="YOR" msgid="">Yoruba Language</item>
-  <item key="P/A" msgid="">Principles of Accounting</item>
+  <item key="AGR" msgid="">'Agriculture' Score</item>
+  <item key="ART" msgid="">'Fine Arts' Score</item>
+  <item key="BIO" msgid="">'Biology' Score</item>
+  <item key="CHE" msgid="">'Chemistry' Score</item>
+  <item key="COM" msgid="">'Commerce' Score</item>
+  <item key="CRK" msgid="">'Christian Rel. Knowledge' Score</item>
+  <item key="ECO" msgid="">'Economics' Score</item>
+  <item key="FRE" msgid="">'French' Score</item>
+  <item key="GEO" msgid="">'Geography' Score</item>
+  <item key="GOV" msgid="">'Government' Score</item>
+  <item key="HIS" msgid="">'History' Score</item>
+  <item key="IRK" msgid="">'Islamic Rel. Knowledge' Score</item>
+  <item key="MAT" msgid="">'Mathematics' Score</item>
+  <item key="IGB" msgid="">'Igbo Language' Score</item>
+  <item key="H/E" msgid="">'Home Economics' Score</item>
+  <item key="LIT" msgid="">'Literature In English' Score</item>
+  <item key="MUS" msgid="">'Music' Score</item>
+  <item key="PHY" msgid="">'Physics' Score</item>
+  <item key="YOR" msgid="">'Yoruba Language' Score</item>
+  <item key="P/A" msgid="">'Principles of Accounting' Score</item>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_pume.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_pume.py	(revision 2104)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_pume.py	(revision 2105)
@@ -73,5 +73,5 @@
                                    ds = ds,
                                   )
-    
+
 if psm == 'invalid':
     return context.apply_pume_form(rendered = res,
@@ -95,5 +95,5 @@
 data['reg_no'] = reg_no
 if apply_pume:
-    data['registration_date'] = current
+    data['application_date'] = current
     data['status'] = "submitted"
 context.applicants_catalog.modifyRecord(**data)
Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2104)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2105)
@@ -44,5 +44,5 @@
                  class="standalone" 
                  name="create"
-                 value="Login for PUME Application"
+                 value="Show PUME Application Record"
                  tal:condition="python: mode == 'create'" 
                  />
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view.pt	(revision 2104)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_apply_pume_view.pt	(revision 2105)
@@ -11,5 +11,5 @@
          tal:condition="ds/pin|nothing"/>
   <input type="submit" class="standalone" name="slip"
-         value="Print application slip"
+         value="Print Application Slip"
          />
 </form>