Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2107)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2108)
@@ -548,5 +548,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="String Widget">
+  <widget name="course3" meta_type="Select Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -565,4 +565,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -613,11 +614,11 @@
   <row>
    <cell name="status" ncols="2"/>
-  </row> 
+  </row>
   <row>
    <cell name="application_date" ncols="2"/>
-  </row> 
+  </row>
   <row>
    <cell name="screening_date" ncols="2"/>
-  </row>  
+  </row>
  </table>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 2107)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 2108)
@@ -39,3 +39,4 @@
  <object name="verdicts" meta_type="CPS Vocabulary"/>
  <object name="global_roles" meta_type="CPS Vocabulary"/>
+ <object name="cos" meta_type="CPS Vocabulary"/>
  </object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/cos.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/cos.xml	(revision 2108)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/cos.xml	(revision 2108)
@@ -0,0 +1,112 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="cos" meta_type="CPS Vocabulary">
+  <property name="title"></property>
+  <property name="title_msgid"></property>
+  <property name="description"></property>
+  <property name="acl_write_roles">Manager</property>
+    
+<item key="BSCANA" msgid="">B.SC (ANATOMY)</item>
+<item key="BARTEDL" msgid="">B.ART (EDO LINGUSTICS)</item>
+<item key="BARTLAL" msgid="">B.ART (LINGUSTICS AND AFRICAN LANGUAGES)</item>
+<item key="BAEDEL" msgid="">B.A(ED) ADULT EDUCATION/ENGLISH AND LIT.</item>
+<item key="BAEDCRM" msgid="">B.A(ED) CERAMICS</item>
+<item key="BAEDEDO" msgid="">B.A(ED) EDO</item>
+<item key="BAEDENG" msgid="">B.A(ED) ENGLISH</item>
+<item key="BAEDFAA" msgid="">B.A(ED) FINE ARTS</item>
+<item key="BAEDFRC" msgid="">B.A(ED) FRENCH</item>
+<item key="BAEDHIS" msgid="">B.A(ED) HISTORY</item>
+<item key="BEDADT" msgid="">B.ED ADULT EDUCATION</item>
+<item key="BSCEDHK" msgid="">B.SC (ED) HUMAN KINETICS</item>
+<item key="BSCEDE" msgid="">B.SC(ED) ADULT EDUCATION/ECONOMICS $ ST</item>
+<item key="BSCEDG" msgid="">B.SC(ED) ADULT EDUCATION/GEOGRAPHY AND REGIONAL PLANNING</item>
+<item key="BSCEDAC" msgid="">B.SC(ED) ACCOUNTING EDUCATION</item>
+<item key="BSCEDAP" msgid="">B.SC(ED) ADULT EDUCATION/POL SCI</item>
+<item key="BSCEDAG" msgid="">B.SC(ED) AGRICULTURE EDUCATION</item>
+<item key="BSCEDB" msgid="">B.SC(ED) BIOLOGY</item>
+<item key="BSCEDBC" msgid="">B.SC(ED) BUILDING CONSTRUCTION EDUCATION</item>
+<item key="BSCEDBE" msgid="">B.SC(ED) BUSINESS EDUCATION (ACCOUNTING)</item>
+<item key="BSCEDC" msgid="">B.SC(ED) CHEMISTRY</item>
+<item key="BSCEDCO" msgid="">B.SC(ED) COMPUTER</item>
+<item key="BSCEDES" msgid="">B.SC(ED) ECONOMICS AND STATISTICS</item>
+<item key="BSCEDEE" msgid="">B.SC(ED) ELECTRICAL ELECTONICS EDUCATION</item>
+<item key="BSCEDGR" msgid="">B.SC(ED) GEOGRAPHY AND REGIONAL PLANNING</item>
+<item key="BSCEDHE" msgid="">B.SC(ED) HEALTH EDUCATION</item>
+<item key="BSCEDHM" msgid="">B.SC(ED) HOME ECONOMICS EDUCATION</item>
+<item key="BSCEDTE" msgid="">B.SC(ED) INDUSTRIAL TECHNICAL EDUCATION</item>
+<item key="BSCEDIS" msgid="">B.SC(ED) INTEGRATED SCIENCE</item>
+<item key="BSCEDM" msgid="">B.SC(ED) MATHENATICS</item>
+<item key="BSCEDME" msgid="">B.SC(ED) MECHANICAL ENGINEERING</item>
+<item key="BSCEDPE" msgid="">B.SC(ED) PHYSICAL EDUCATION</item>
+<item key="BSCEDP" msgid="">B.SC(ED) PHYSICS</item>
+<item key="BSCEDPS" msgid="">B.SC(ED) POLITICAL SCIENCE AND PUBLIC AD</item>
+<item key="BSCEDSE" msgid="">B.SC(ED) SECRETATIAL EDUCATION</item>
+<item key="BSCEDSS" msgid="">B.SC(ED) SOCIAL STUDIES</item>
+<item key="BSCEDWB" msgid="">B.SC(ED) WOODWORK AND BUILDING</item>
+<item key="BAGAEE" msgid="">BACHELOR OF AGRICULTURE (AGRIC ECONS)</item>
+<item key="BAGANS" msgid="">BACHELOR OF AGRICULTURE (ANIMAL SCIENCE)</item>
+<item key="BAGCRS" msgid="">BACHELOR OF AGRICULTURE (CROP SCIENCE)</item>
+<item key="BAGFIS" msgid="">BACHELOR OF AGRICULTURE (FISHERIES)</item>
+<item key="BAGSOS" msgid="">BACHELOR OF AGRICULTURE (SOIL SCIENCE)</item>
+<item key="BARTREL" msgid="">BACHELOR OF ART(RELIGIOUS STUDIES)</item>
+<item key="BARTENL" msgid="">BACHELOR OF ARTS (ENGLISH AND LITERATURE)</item>
+<item key="BARTCER" msgid="">BACHELOR OF ARTS (FAA CERAMICS)</item>
+<item key="BARTAPG" msgid="">BACHELOR OF ARTS (FAA GRAPHICS)</item>
+<item key="BARTAPM" msgid="">BACHELOR OF ARTS (FAA METAL)</item>
+<item key="BARTFAP" msgid="">BACHELOR OF ARTS (FAA PAINTING)</item>
+<item key="BARTSCP" msgid="">BACHELOR OF ARTS (FAA SCULPTURE)</item>
+<item key="BARTTXT" msgid="">BACHELOR OF ARTS (FAA TEXTILE)</item>
+<item key="BARTFAA" msgid="">BACHELOR OF ARTS (FINE AND APPLIED ARTS)</item>
+<item key="BARTISD" msgid="">BACHELOR OF ARTS (INTER.STUDIES)</item>
+<item key="BARTPHL" msgid="">BACHELOR OF ARTS (PHILOSOPHY)</item>
+<item key="BARTFOL" msgid="">BACHELOR OF ARTS FOREIGN LANGUAGES</item>
+<item key="BARTHIS" msgid="">BACHELOR OF ARTS(HISTORY</item>
+<item key="BDS" msgid="">BACHELOR OF DENTAL SURGERY</item>
+<item key="BENGCHE" msgid="">BACHELOR OF ENGINEERING (CHEMICAL)</item>
+<item key="BENGCVE" msgid="">BACHELOR OF ENGINEERING (CIVIL)</item>
+<item key="BENGCOM" msgid="">BACHELOR OF ENGINEERING (COMPUTER)</item>
+<item key="BENGEEE" msgid="">BACHELOR OF ENGINEERING (ELECT/ELECT)</item>
+<item key="BENGEEP" msgid="">BACHELOR OF ENGINEERING (ELECTRIC/ELECTRONICS) PTI</item>
+<item key="BENGMCH" msgid="">BACHELOR OF ENGINEERING (MECHANICAL)</item>
+<item key="BENGPEE" msgid="">BACHELOR OF ENGINEERING (PETROLEUM)</item>
+<item key="BENGPRE" msgid="">BACHELOR OF ENGINEERING (PRODUCTION)</item>
+<item key="BAGFOW" msgid="">BACHELOR OF FORESTRY AND WILDFIFE</item>
+<item key="LLB" msgid="">BACHELOR OF LAWS</item>
+<item key="MBBSMED" msgid="">BACHELOR OF MEDICINE AND SURGERY</item>
+<item key="BSCACC" msgid="">BACHELOR OF SCIENCE (ACCOUNTING)</item>
+<item key="BSCBOT" msgid="">BACHELOR OF SCIENCE (BOTANY)</item>
+<item key="BSCBUS" msgid="">BACHELOR OF SCIENCE (BUSINESS ADMIN.)</item>
+<item key="BSCCHM" msgid="">BACHELOR OF SCIENCE (CHEMISTRY)</item>
+<item key="BSCECO" msgid="">BACHELOR OF SCIENCE (ECO.AND STATISTICS)</item>
+<item key="BSCEVL" msgid="">BACHELOR OF SCIENCE (ENVIROMENT)</item>
+<item key="BSCGEO" msgid="">BACHELOR OF SCIENCE (GEO.AND REG.PLANN.)</item>
+<item key="BSCGLY" msgid="">BACHELOR OF SCIENCE (GEOLOGY)</item>
+<item key="BSCMCB" msgid="">BACHELOR OF SCIENCE (MICROBIOLOGY)</item>
+<item key="BSCSAA" msgid="">BACHELOR OF SCIENCE (SOC.AND ANTHRO.)</item>
+<item key="BSCAEB" msgid="">BACHELOR OF SCIENCE IN ANIMAL AND ENVIRONMENTAL BIOLOGY</item>
+<item key="BSCBCH" msgid="">BACHELOR OF SCIENCE(BIOCHEM)</item>
+<item key="BSCCSC" msgid="">BACHELOR OF SCIENCE(COMPUTER SCIENCE)</item>
+<item key="BSCINC" msgid="">BACHELOR OF SCIENCE(INDUSTRIAL CHEMISTRY)</item>
+<item key="BSCINM" msgid="">BACHELOR OF SCIENCE(INDUSTRIAL MATHEMATICS)</item>
+<item key="BSCINP" msgid="">BACHELOR OF SCIENCE(INDUSTRIAL PHYSICS)</item>
+<item key="BSCME" msgid="">BACHELOR OF SCIENCE(MATHEMATICS$ECONS)</item>
+<item key="BSCMTH" msgid="">BACHELOR OF SCIENCE(MATHEMATICS)</item>
+<item key="BSCPHY" msgid="">BACHELOR OF SCIENCE(PHYSICS)</item>
+<item key="BSCPOL" msgid="">BACHELOR OF SCIENCE(POL.SCI AND PUB.ADM)</item>
+<item key="BSCPAM" msgid="">BACHELOR OF SCIENCE(PURE AND APPLIED MATH)</item>
+<item key="BSCZOO" msgid="">BACHELOR OF SCIENCE(ZOOLOGY)</item>
+<item key="BARTMAS" msgid="">BACHELORS OF ART (MASS COMMUNICATION)</item>
+<item key="BARTTHR" msgid="">BACHELORS OF ART (THEARTER ARTS)</item>
+<item key="OD" msgid="">DOCTOR OF OPTOMETRY</item>
+<item key="PHARMD" msgid="">DOCTOR OF PHARMACY</item>
+<item key="BSCMBC" msgid="">MEDICAL BIOCHEMISTRY</item>
+<item key="BSCPHS" msgid="">PHYSIOLOGY</item>
+
+
+
+
+
+
+
+
+</object>