Index: WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 2108)
+++ WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 2111)
@@ -27,4 +27,6 @@
  <column value="course2"/>
  <column value="course3"/>
+ <column value="course_admitted"/>
+ <column value="screening_type"/>
  <column value="screening_date"/>
  <column value="passport"/>
@@ -39,3 +41,9 @@
   <indexed_attr value="lastname"/>
  </index>
+ <index name="screening_type" meta_type="FieldIndex">
+  <indexed_attr value="screening_type"/>
+ </index>
+ <index name="course_admitted" meta_type="FieldIndex">
+  <indexed_attr value="course_admitted"/>
+ </index>  
 </object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2108)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2111)
@@ -273,10 +273,10 @@
   </widget>
   <widget name="lastname" meta_type="String Widget">
-    <property name="title">Lastname</property>
+    <property name="title">Name</property>
     <property name="fields">
       <element value="lastname"/>
     </property>
-    <property name="label">Lastname</property>
-    <property name="label_edit">Lastname</property>
+    <property name="label">Name</property>
+    <property name="label_edit">Name</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -324,20 +324,4 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="passport" meta_type="Ext File Widget">
-    <property name="title">Passport</property>
-    <property name="fields">
-      <element value="passport"/>
-    </property>
-    <property name="is_required">True</property>
-    <property name="label">Passport</property>
-    <property name="label_edit">Passport</property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="size_max">50000</property>
-    <property name="display_external_editor">False</property>
-  </widget>
   <widget name="phone" meta_type="String Widget">
     <property name="title">Phone</property>
@@ -397,4 +381,6 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -417,6 +403,24 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="screening_type" meta_type="String Widget">
+    <property name="title">Screening Type</property>
+    <property name="fields">
+      <element value="screening_type"/>
+    </property>
+    <property name="label">Screening Type</property>
+    <property name="label_edit">Screening Type</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>  
   <widget name="reg_no" meta_type="JambRegNo Widget">
     <property name="title">JAMB Registration Number</property>
@@ -568,4 +572,24 @@
     <property name="css_class_expr">string:row</property>
   </widget>
+  <widget name="course_admitted" meta_type="String Widget">
+    <property name="title">Course of Study</property>
+    <property name="fields">
+      <element value="course_admitted"/>
+    </property>
+    <property name="label">Course of Study</property>
+    <property name="label_edit">Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>  
 
  <table>
Index: WAeUP_SRP/trunk/profiles/default/schemas/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2108)
+++ WAeUP_SRP/trunk/profiles/default/schemas/application.xml	(revision 2111)
@@ -5,4 +5,5 @@
  <field name="course2" meta_type="CPS String Field"/>
  <field name="course3" meta_type="CPS String Field"/>
+ <field name="course_admitted" meta_type="CPS String Field"/>
  <field name="entry_mode" meta_type="CPS String Field"/>
  <field name="department" meta_type="CPS String Field"/>
@@ -29,4 +30,5 @@
  <field name="lga" meta_type="CPS String Field"/>
  <field name="screening_date" meta_type="CPS DateTime Field"/>
+ <field name="screening_type" meta_type="CPS String Field"/>
  <field name="passport" meta_type="CPS String Field"/>
  <field name="status" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/cos.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/cos.xml	(revision 2108)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/cos.xml	(revision 2111)
@@ -6,5 +6,6 @@
   <property name="description"></property>
   <property name="acl_write_roles">Manager</property>
-    
+
+<item key="None" msgid="">None</item>
 <item key="BSCANA" msgid="">B.SC (ANATOMY)</item>
 <item key="BARTEDL" msgid="">B.ART (EDO LINGUSTICS)</item>